select i02.nr01 as nr01,
       i02.p01 as p01,
       i02.p02 as p02,
       i02.p04 as p04,
       i02.p05 as p05,
       i02.p08 as p08, 
       i02.tax as tax, 
       ifnull(group_concat(distinct clsa01.p02 separator '#'), '') as p101, 
       ifnull(group_concat(distinct concat(clsa01.p02, ':', i40.p02) separator ','), '') as vp101 
FROM i02
LEFT JOIN clsa01 ON clsa01.p01=i02.nr01
LEFT JOIN i40 ON i40.p01=clsa01.p02
WHERE i02.p00='{npno}'
GROUP BY i02.nr01;
